<?xml version="1.0" encoding="UTF-8"?>
<databrowser>
  <title>Turbines string</title>
  <show_legend>true</show_legend>
  <show_toolbar>true</show_toolbar>
  <grid>true</grid>
  <update_period>3.0</update_period>
  <scroll_step>5</scroll_step>
  <scroll>true</scroll>
  <start>-30 minutes</start>
  <end>now</end>
  <archive_rescale>NONE</archive_rescale>
  <foreground>
    <red>0</red>
    <green>0</green>
    <blue>0</blue>
  </foreground>
  <background>
    <red>242</red>
    <green>242</green>
    <blue>242</blue>
  </background>
  <title_font>Liberation Sans|20.0|1</title_font>
  <label_font>Liberation Sans|14.0|1</label_font>
  <scale_font>Liberation Sans|12.0|0</scale_font>
  <legend_font>Liberation Sans|14.0|0</legend_font>
  <axes>
    <axis>
      <visible>true</visible>
      <name>pressure</name>
      <use_axis_name>false</use_axis_name>
      <use_trace_names>true</use_trace_names>
      <right>false</right>
      <color>
        <red>0</red>
        <green>0</green>
        <blue>0</blue>
      </color>
      <min>13.5822</min>
      <max>13.709800000000001</max>
      <grid>false</grid>
      <autoscale>true</autoscale>
      <log_scale>false</log_scale>
    </axis>
    <axis>
      <visible>true</visible>
      <name>%</name>
      <use_axis_name>false</use_axis_name>
      <use_trace_names>true</use_trace_names>
      <right>true</right>
      <color>
        <red>0</red>
        <green>0</green>
        <blue>0</blue>
      </color>
      <min>33.75</min>
      <max>116.25</max>
      <grid>false</grid>
      <autoscale>true</autoscale>
      <log_scale>false</log_scale>
    </axis>
    <axis>
      <visible>false</visible>
      <name>speed </name>
      <use_axis_name>false</use_axis_name>
      <use_trace_names>true</use_trace_names>
      <right>true</right>
      <color>
        <red>0</red>
        <green>0</green>
        <blue>0</blue>
      </color>
      <min>2056.65</min>
      <max>2526.35</max>
      <grid>false</grid>
      <autoscale>true</autoscale>
      <log_scale>false</log_scale>
    </axis>
    <axis>
      <visible>true</visible>
      <name>K</name>
      <use_axis_name>false</use_axis_name>
      <use_trace_names>true</use_trace_names>
      <right>false</right>
      <color>
        <red>0</red>
        <green>0</green>
        <blue>0</blue>
      </color>
      <min>6.73</min>
      <max>41.27</max>
      <grid>false</grid>
      <autoscale>true</autoscale>
      <log_scale>false</log_scale>
    </axis>
  </axes>
  <annotations>
  </annotations>
  <pvlist>
    <pv>
      <display_name>Inlet pressure</display_name>
      <visible>true</visible>
      <name>CrS-TICP:Cryo-PT-31350A:Val</name>
      <axis>0</axis>
      <color>
        <red>255</red>
        <green>0</green>
        <blue>127</blue>
      </color>
      <trace_type>SINGLE_LINE</trace_type>
      <linewidth>2</linewidth>
      <line_style>SOLID</line_style>
      <point_type>NONE</point_type>
      <point_size>2</point_size>
      <waveform_index>0</waveform_index>
      <period>0.0</period>
      <ring_size>5000</ring_size>
      <request>OPTIMIZED</request>
      <archive>
        <name>EPICS Archiver Appliance</name>
        <url>pbraw://archiver-01.ics.esss.lu.se:17668/retrieval</url>
      </archive>
    </pv>
    <pv>
      <display_name>Inlet valve T1</display_name>
      <visible>true</visible>
      <name>CrS-TICP:Cryo-CV-31450:Out</name>
      <axis>1</axis>
      <color>
        <red>128</red>
        <green>0</green>
        <blue>128</blue>
      </color>
      <trace_type>SINGLE_LINE</trace_type>
      <linewidth>4</linewidth>
      <line_style>SOLID</line_style>
      <point_type>NONE</point_type>
      <point_size>2</point_size>
      <waveform_index>0</waveform_index>
      <period>0.0</period>
      <ring_size>5000</ring_size>
      <request>OPTIMIZED</request>
      <archive>
        <name>EPICS Archiver Appliance</name>
        <url>pbraw://archiver-01.ics.esss.lu.se:17668/retrieval</url>
      </archive>
    </pv>
    <pv>
      <display_name>T1 speed</display_name>
      <visible>false</visible>
      <name>CrS-TICP:Cryo-ST-31350A:Val</name>
      <axis>2</axis>
      <color>
        <red>255</red>
        <green>0</green>
        <blue>248</blue>
      </color>
      <trace_type>SINGLE_LINE</trace_type>
      <linewidth>2</linewidth>
      <line_style>SOLID</line_style>
      <point_type>NONE</point_type>
      <point_size>2</point_size>
      <waveform_index>0</waveform_index>
      <period>0.0</period>
      <ring_size>5000</ring_size>
      <request>OPTIMIZED</request>
      <archive>
        <name>EPICS Archiver Appliance</name>
        <url>pbraw://archiver-01.ics.esss.lu.se:17668/retrieval</url>
      </archive>
    </pv>
    <pv>
      <display_name>T2 Speed</display_name>
      <visible>false</visible>
      <name>CrS-TICP:Cryo-ST-31350B:Val</name>
      <axis>2</axis>
      <color>
        <red>255</red>
        <green>255</green>
        <blue>77</blue>
      </color>
      <trace_type>SINGLE_LINE</trace_type>
      <linewidth>2</linewidth>
      <line_style>SOLID</line_style>
      <point_type>NONE</point_type>
      <point_size>2</point_size>
      <waveform_index>0</waveform_index>
      <period>0.0</period>
      <ring_size>5000</ring_size>
      <request>OPTIMIZED</request>
      <archive>
        <name>EPICS Archiver Appliance</name>
        <url>pbraw://archiver-01.ics.esss.lu.se:17668/retrieval</url>
      </archive>
    </pv>
    <pv>
      <display_name>inlet T1</display_name>
      <visible>true</visible>
      <name>CrS-TICP:Cryo-TE-31450A:Val</name>
      <axis>3</axis>
      <color>
        <red>204</red>
        <green>204</green>
        <blue>51</blue>
      </color>
      <trace_type>SINGLE_LINE</trace_type>
      <linewidth>2</linewidth>
      <line_style>SOLID</line_style>
      <point_type>NONE</point_type>
      <point_size>2</point_size>
      <waveform_index>0</waveform_index>
      <period>0.0</period>
      <ring_size>5000</ring_size>
      <request>OPTIMIZED</request>
      <archive>
        <name>EPICS Archiver Appliance</name>
        <url>pbraw://archiver-01.ics.esss.lu.se:17668/retrieval</url>
      </archive>
    </pv>
    <pv>
      <display_name>outlet T1</display_name>
      <visible>true</visible>
      <name>CrS-TICP:Cryo-TE-31459A:Val</name>
      <axis>3</axis>
      <color>
        <red>128</red>
        <green>128</green>
        <blue>0</blue>
      </color>
      <trace_type>SINGLE_LINE</trace_type>
      <linewidth>2</linewidth>
      <line_style>SOLID</line_style>
      <point_type>NONE</point_type>
      <point_size>2</point_size>
      <waveform_index>0</waveform_index>
      <period>0.0</period>
      <ring_size>5000</ring_size>
      <request>OPTIMIZED</request>
      <archive>
        <name>EPICS Archiver Appliance</name>
        <url>pbraw://archiver-01.ics.esss.lu.se:17668/retrieval</url>
      </archive>
    </pv>
    <pv>
      <display_name>Inlet T2</display_name>
      <visible>true</visible>
      <name>CrS-TICP:Cryo-TE-31450B:Val</name>
      <axis>3</axis>
      <color>
        <red>0</red>
        <green>0</green>
        <blue>255</blue>
      </color>
      <trace_type>SINGLE_LINE</trace_type>
      <linewidth>2</linewidth>
      <line_style>SOLID</line_style>
      <point_type>NONE</point_type>
      <point_size>2</point_size>
      <waveform_index>0</waveform_index>
      <period>0.0</period>
      <ring_size>5000</ring_size>
      <request>OPTIMIZED</request>
      <archive>
        <name>EPICS Archiver Appliance</name>
        <url>pbraw://archiver-01.ics.esss.lu.se:17668/retrieval</url>
      </archive>
    </pv>
    <pv>
      <display_name>Outlet T2</display_name>
      <visible>true</visible>
      <name>CrS-TICP:Cryo-TE-31459B:Val</name>
      <axis>3</axis>
      <color>
        <red>179</red>
        <green>204</green>
        <blue>255</blue>
      </color>
      <trace_type>SINGLE_LINE</trace_type>
      <linewidth>2</linewidth>
      <line_style>SOLID</line_style>
      <point_type>NONE</point_type>
      <point_size>2</point_size>
      <waveform_index>0</waveform_index>
      <period>0.0</period>
      <ring_size>5000</ring_size>
      <request>OPTIMIZED</request>
      <archive>
        <name>EPICS Archiver Appliance</name>
        <url>pbraw://archiver-01.ics.esss.lu.se:17668/retrieval</url>
      </archive>
    </pv>
  </pvlist>
</databrowser>
